[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'Clipbrd' (#lcl)

# TClipboard.FindFormatID

Gets the clipboard format which used the specified name (MIME type).

## Declaration

Source position: clipbrd.pp line 198

`public function TClipboard.FindFormatID(`
`const FormatName: string`
`):TClipboardFormat;`

## Arguments

`FormatName` |  | Name (MIME type) for the clipboard format to locate in the supported Formats.

## Function result

Clipboard format with the specified name (MIME type), or 0 (for the Text format) when not found.

## Description

Used to implement the HasFormatName method, and when assigning the clipboard content to a TGraphic instance.

## See also

TClipboard.HasFormatName |  | Indicates whether a clipboard format exists with the specified name (MIME type).
TGraphic |  | Abstract base class used for images in supported image formats.